<?php
/*
 * help.php
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

include ("include/header_info.php");


/*	Help page or Frequently Asked Questions
 *
 *									AUTHOR: Khader Abbeb N
 */
include ("head.php");
?>

	<style type="text/css">
	<!--
		.ques {
			background: #dcdcdc;
			color: #000000;
			font-family: Verdana, Arial, Helvetica, sans-serif;
			font-weight: bold;
			font-size : 14;
			padding: 2px;
		}
		.ver13 {
        		font-family: Verdana, Arial, Helvetica, sans-serif;
        		font-size: 13px;
        		color: #000000;
		}
		.head1 {
			font-size: 18px;
			color: #000000;
		}
	// -->
	</style>
<?php
include ("body.php");
?>
<!--
<div id="tab">
-->
   <ul id="navibar">
	<li class="wikilink"><a href="main.php">Home</a></li>
	<li class="wikilink"><a href="list.php?category=untrans&amp;page=1">Untranslated Strings</a></li>
	<li class="current"><a href="help.php">Help</a></li>
   </ul>

<div id="pageline"><hr style="display:none;"></div>

</div>
<div id="page">

<?php $i=1; ?>
<table width="100%" cellpadding=10>
	<tr>
		<td align="center"><div class="head1" ><b> Frequently Asked Questions </b></div> 
	</tr>
	<tr>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<td class="ques"><?php echo $i++; ?>. What is this site for?</td>
	</tr>
	<tr>
		<td>&nbsp;&nbsp;This site is part of the Indic Linux Localization drive. You can use this site to help 
			the translation work going on for the project. The site has many <b><i>files</i></b> which
			contains several English words or phrases. These English word and phrases need to be 
			translated and you can use this site to provide us your suggestion. <br /><br />
			&nbsp;&nbsp;This suggestion along with
			the suggestions of all the other users will be <i>validated</i> by our team and the valid
			translation will be used in the developement of Linux applications in Indian language.<br /> </td>
	</tr>
	<tr>
		<td class="ques"><?php echo $i++; ?>. How do I give my suggestion?</td>
	</tr>
	<tr>
		<td>	&nbsp;&nbsp;
			You can do the translation work either file wise or view all stings at a time. If you would
			like to go file wise then click on one of the files listed in the <a href="main.php">Home</a>
			page. You will be taken to the 'File Contents' page where you will  see all the strings in 
			that file select one of the strings to go to the 'Suggestion' page. 
			You can submit your suggestion in this page or vote on the existing suggestion. In the
			'File Contents' page you can click on the <i>View Untranslated</i> link to view only the
			untranslated strings of that file.<br /><br />
			&nbsp;&nbsp;
			If you select <a href="list.php?category=all&amp;page=1">View All Strings</a> in the Home page
			then you will see all the strings of all the files from which you can select one. You can also 
			view all the untranslated strings in the database by selecting the 
			<a href="list.php?category=untrans&amp;page=1">Untranslated Strings</a> 
			tab.<br/><br />
			&nbsp;&nbsp;
			Although registeration is not mandatory to give your suggestion it is preferable.
			If you have an account with us you can login by clicking on the
			<a href="register.php">Register/Login</a> link on top of this page. You can
			also use the same link to register with us.

			
	</tr>
			
	<tr>
		<td class="ques"><?php echo $i++; ?>. Do I need to install anything?</td>
	</tr>
	<tr>
		<td> &nbsp;&nbsp;You should have the Unicode fonts for the Indian language in which you 
		     are going to give your suggestions/translations. </td>
	</tr>
	<tr>
		<td class="ques"><?php echo $i++; ?>. How do I install Indian Language fonts?</td>
	</tr>
	<tr>
		<td>
			&nbsp;&nbsp;Unicode fonts for Indian languages are available online.<br/>
			For Telugu, you can get <a href="http://www.kavya-nandanam.com/dload.htm" >Pothana2000</a> 
			font from <a href="http://www.kavya-nandanam.com/" >Kavya-nandanam</a>. <br /><br />
			<b> Installing fonts for GNU/Linux applications</b><br />
			<div style="padding:25px;padding-bottom:15px;padding-top:10px">
			 
			   1. Unzip the font package file and find Pothana2000.ttf<br />
			   <div style="padding:25px;padding-bottom:15px;padding-top:10px">
			   <table  frame="border" width="600"><tr><td>
				<code>	$ unzip Pothana2k.zip</code>
			   </td></tr></table>
			   </div>
			   2. Copy this file to ".fonts" directory in your home directory<br />
			   <div style="padding:25px;padding-bottom:15px;padding-top:10px">
			   <table  frame="border" width="600"><tr><td>
				<code>	$ mkdir ~/.fonts<br />
					copy Pothana2000.ttf ~/.fonts<br /></code>
			   </td></tr></table>
			   </div>
			   3. Update the font cache<br />
			   <div style="padding:25px;padding-bottom:15px;padding-top:10px">
			   <table frame="border" width="600"><tr><td>
				<code>	$ fc-cache<br /></code>
			   </td></tr></table>
			   </div>
			</div>

		</td>
	</tr>
	<tr>
		<td class="ques"><?php echo $i++; ?>. What is Phonetic typing? or How to use RTS keyboard map?</td>
	</tr>
	<tr>
		<td>&nbsp;&nbsp;
		This is like typing your language in English and let the program replace with right 
		characters of the intended language. <br /><i>For Ex:</i> say you want to type a name 
		like <b>Ramakrishna</b>. With Phonetic layout, you will type as "<b>rAmakrishnA</b>". 
		Note the small letters and Caps letter combinations. This is to differentiate the different 
		Phonetic sounds. </td>
	</tr>
	<tr>
		<td class="ques"><?php echo $i++; ?>. I cannot see Indian language characters in my web browser.</td>
	</tr>
	<tr>
		<td>&nbsp;&nbsp;You have to setup your web browser in order for you to see Indian language characters
		
		You can choose from the many available web browsers. Currently Konqueror, Mozilla and Firefox 
		are known to render Indian languages properly.<br /> <br />
		<b>Konqueror</b><br />
		&nbsp;&nbsp;&nbsp;&nbsp;Konqueror renders Indian languages properly if it uses Qt version 3.2 or above. 
		Typically you have the required Konqueror if you are running KDE 3.2 or above.<br /><br />
		<b>Mozilla</b><br />
		&nbsp;&nbsp;&nbsp;&nbsp;Mozilla browser that is readily avaiable on most distributions ''does not'' properly render 
		Indian languages text. You need to get an 
		<a href="ftp://ftp.mozilla.org/pub/mozilla.org/mozilla/releases/mozilla1.7/contrib/mozilla-1.7-i686-pc-linux-gnu-gtk2-xft-pango.tar.gz">Indic enabled build </a>
		of Mozilla 1.7 from the 
		<a href="ftp://ftp.mozilla.org/pub/mozilla.org/mozilla/releases/mozilla1.7/contrib/">contributed builds</a>.
		<br />On Fedora Core 3, you do not need to download the special build because Mozilla already has the capability to render Indian language text. 
		But it has to be enabled explictly while running Mozilla. To start Mozilla use the following command on the shell:<br />
		
		<div style="padding:25px;padding-bottom:15px;padding-top:10px">
		<table  frame="border" width="600"><tr><td>
			<code>$ MOZ_ENABLE_PANGO=1 mozilla</code>
		</td></tr></table>
		</div>
		
		
		<b>Firefox</b><br />
		&nbsp;&nbsp;&nbsp;&nbsp;Firefox build that is readily available on most distributions ''does not'' properly render 
		Indian languages text. You need to get an 
		<a href="http://bunny.medhas.org/download/firefox-1.0.en-US.linux-pango_patch-xft-gtk2-i686.tar.gz">Indic enabled build</a>
		 of Firefox 1.0.

		<br />On Fedora Core 3, you do not need to download the special build because Mozilla already has the capability to render Indian language text. 
		But it has to be enabled explictly while running Mozilla. To start Mozilla use the following command on the shell:<br />
		
		<div style="padding:25px;padding-bottom:15px;padding-top:10px">
		<table  frame="border" width="600"><tr><td>
			<code>
			$ MOZ_ENABLE_PANGO=1 firefox
			</code>
		</td></tr></table>
		</div>
				
		</td>
	</tr>
	<tr>
		<td class="ques"><?php echo $i++; ?>. Are there any shortcut keys?</td>
	</tr>
	<tr>
		<td>&nbsp;&nbsp;Yes. The following pages contain some shortcut keys.
		<br>
		<ol>
		  <li>Suggestion Page
		  <p>Alt+P    - move to the previous string
		  <p>Alt+N    - move to the next string
		  <p>Alt+K    - access to the keyboard map (select language)
		  <p>Alt+S    - access to the suggestion text area
		  <p>Alt+H    - show/hide hint menu for keyboard map, while typing. (for selected keyboard maps only)
		  <p>Alt+1 to Alt+9    - select the user suggestion from 1 to 9 respectively
		  <p>Alt+Enter - submit the suggestion and move to next string
		  <p>Alt+Ctrl+Enter - submit the suggestion
		  <li>String listing pages viz 'File Contents' page, 'All String' page, Untranslated Page 
			(in editing mode only)
		  <p>Alt+K    - access to the keyboard map (select language)
		  <p>Alt+S    - access to the suggestion text area
		  <p>Alt+H    - show/hide hint menu for keyboard map, while typing. (for selected keyboard maps only)
		  <p>Alt+Enter - submit the suggestion
		</ol>
		</td>
	</tr>
</table>
</div>
<?php
	include ("footer.php");
?>
