/*
 * account.js
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

function fn_verify_secure_frm() {                //ensures password field should be non-empty before submitting
  if(document.secure_frm.pass_wd.value == "") {
    window.alert("Please enter a valid password");
    return false;
  }
  return true;
}
function fn_verify_account_frm() {              //various consistency checks among mandatory fields done here
  var new_pass_wd,conf_pass_wd,new_email;
  var chk_chg_pass,chk_chg_email,chk_recv_email;
  var ret_val;

  chk_chg_pass = document.account_frm.chk_chg_pass.checked;     //getting checkbox values from form account_frm
  chk_chg_email = document.account_frm.chk_chg_email.checked;   //it gives which are all the fields need change
  chk_recv_email = document.account_frm.chk_recv_email.checked;

  new_pass_wd = document.account_frm.new_pass_wd.value;
  conf_pass_wd = document.account_frm.conf_pass_wd.value;

  new_email = document.account_frm.new_email.value;

  if(!chk_chg_pass && !chk_chg_email && !chk_recv_email) {  //atleast one change must be specified before submitting
    window.alert("No changes specified");                   //the form
    return false;
  }
  if(chk_chg_pass) {                                    //password change required
    ret_val = true;

    if( new_pass_wd == "" || conf_pass_wd == "") {             //password must be given
      window.alert("Values must be given for password fields");
      ret_val = false;
    }
    else if(new_pass_wd != conf_pass_wd) {              //new password and confirm password must be same
      window.alert("Entered passwords are not same");
      ret_val = false;
    }
    else if(new_pass_wd.length < 6) {                  //minimum length of the password must be 6 characters
      window.alert("Password is too short");
      ret_val = false;
    }
    if(!ret_val) {                                    //if any error input found in the form
      document.account_frm.new_pass_wd.value = "";    //clear the password fields and cancel form submission
      document.account_frm.conf_pass_wd.value = "";
      return ret_val;
    }
  }
  if(chk_chg_email && new_email.indexOf('@') == -1) {  //email change is required and email doesnot contain '@' symbol
    window.alert("Email id is not valid");
    return false;
  }
                              //for chk_recv_email no checking is needed
  return true;
}
