/*
 * dbadminister.js
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

var ret_val;

function fn_verify()
{
    return ret_val;
}

function fn_upload_po()
{
    var but_val    = document.upload_form.upload_po.value;
    var lang       = document.upload_form.lang;
    var sel_index  = lang.selectedIndex;
    var lang_value = lang.options[sel_index].value;
    
    ret_val = false;
    
    if(!document.upload_form.userfile.value) {
        window.alert("Select a file to upload.");
    }
    else if(!lang_value) {
        window.alert("Please select a language.");
    }
    else if(but_val == "Upload") {
        document.upload_form.upload_po.value = "Wait!";
        ret_val=true;
    }
}

function fn_recover_po()
{
    var but_val    = document.upload_form.recover_po.value;
    var lang       = document.upload_form.lang;
    var sel_index  = lang.selectedIndex;
    var lang_value = lang.options[sel_index].value;
    
    ret_val = false;
    
    if(!lang_value) {
        window.alert("Please select a language.");
    }
    else if(but_val == "Recover") {
        ret_val = confirm("If you have selected the appropriate branch and language,\n" +
                          "click OK to continue.");
        if(ret_val) {
            document.upload_form.recover_po.value = "Wait!";
        }
    }
}

function fn_remove_branch()
{
    ret_val=confirm("Do you want to remove the selected branch?");
    
    if(ret_val) {
        document.edit_branch_form.remove_branch.value = true;
        document.edit_branch_form.submit();
    }
}

function fn_create_branch()
{
    var branch_name = document.edit_branch_form.branch_name;
    
    ret_val = false;
    
    if(!branch_name.value) {
        window.alert("Branch name can not be empty.");
    }
    else {
        ret_val = true;
    }
}

function fn_add_lang()
{
    var lang_name = document.add_lang_form.lang_name;
    var lang_code = document.add_lang_form.lang_code;
    
    ret_val = false;
    
    if(!lang_name.value || !lang_code.value) {
        window.alert("Language name and code are mandatory.");
    }
    else {
        ret_val = true;
    }
}

function fn_remove_lang()
{
    var lang       = document.add_lang_form.lang;
    var sel_index  = lang.selectedIndex;
    var lang_value = lang.options[sel_index].value;
    
    ret_val = false;
    
    if(!lang_value) {
        window.alert("Please select a language.");
    }
    else {
        ret_val=confirm("Do you want to remove the selected branch?");
    }
}

function fn_uninstall()
{
    ret_val=confirm("Do you want to DELETE all the tables belong to this " +
                    "application?\nYou will lose all the strings and suggestions " +
                    "in these tables!");
}

var content = new Array();

content[0]  = '<p><big><b>Upload</b></big></p>' +
              '<p>Upload the file into the server and update the database ' +
              'with the contents of the uploaded files.</p>' +
              '<p><i>Supported File Types</i></p>' +
              '<p>- Normal po file can be uploaded.</p>' +
              '<p>- File containing URLs to po files can also be uploaded' +
              '(system specific support). The file extention must be .url.' +
              ' One URL per line, and hash(<i>#</i>) character ' +
              'at the starting of a line, makes the line comment.</p>' +
              '<p>- Compressed file containing one or more po files can ' +
              'also be uploaded(system specific support). The supported ' +
              'compressed file types are .tar.gz(.tgz), .tar.bz2(.tbz2), ' +
              '.tar.bz(.tbz), .tar, .zip, .gz, .bz2, .bz</p>';
            
content[1]  = '<p><big><b>Uninstall</b></big></p><p>Delete the database tables and ' +
              'the configuration file \'database.conf.php\' for this application. ' +
              '<font color=red>Stored message strings and translations will be lost.' +
              '</font></p>';

content[2]  = '<p><big><b>Run in Background</b></big></p><p>Make the database ' +
              'updation process and related processes into background process.</p>';

content[4]  = '<p><big><b>Language Code</b></big></p><p>The two character code ' +
              'which uniquely identifies the language.</p>';

content[5]  = '<p><big><b>Recover</b></big></p><p>Restart the database updation ' +
              'process, if the previous updation process was stopped abnormally.</p>';

content[6]  = '<p><big><b>Remove Branch</b></big></p><p>'+
		      'Remove the selected Parent branch. This branch should be empty ' +
		      'to perform this operation.</p>';
		  
content[7]  = '<p><big><b>Add New Branch</b></big></p><p>'+
		      'Add a new branch under the selected Parent branch.</p>';

